SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000644SiT!otherpublic2009-04-14 21:102009-08-16 14:38
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000644: Edit inventory details
Descriptionyou cant currently change the username or password on an inventory item
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000912)
kieran (administrator)
2009-04-14 21:25

I think it was a deliberate choice at the time but I can't really think of a decent reason why not.
User avatar (0000913)
paulh (administrator)
2009-04-14 21:54

yeah I just needed to change a password on one and couldn't do the the information being held is inaccurate
User avatar (0000914)
kieran (administrator)
2009-04-14 22:01

I wonder if it'd be useful/possible to have ajax inline editing in our new form handler. For cases like this, we'd only need the one form.
User avatar (0000915)
ivan (administrator)
2009-04-14 22:15

Yes useful, but of course would need somebody to code it ;)

I'm not sure how the backend part would work, obviously there needs to be something for the ajax call to talk to, we'd need some way of doing that.

Possible though.
User avatar (0000916)
paulh (administrator)
2009-04-15 09:39

Would be good though we could be trying to run before we can walk on this one.

Probably best to get the form stuff working and then extend it
User avatar (0001058)
paulh (administrator)
2009-05-14 20:27

If the Privacy is none (i.e. everyone then no one can change the username/password) will fix now
User avatar (0001059)
paulh (administrator)
2009-05-14 20:28

trunk r5374 resolves this
User avatar (0001062)
kieran (administrator)
2009-05-14 20:48

Should non-owners be able to set the visibility?
User avatar (0001063)
paulh (administrator)
2009-05-14 20:55

Interesting point, theres quite a few security issues with the invetory page as even though it may be marked private/admin only if you do edit={$id} you can get some details (e.g. address) when you shouldn't have access, will raise a new bug for that
User avatar (0001579)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-04-14 21:10 paulh New Issue
2009-04-14 21:25 kieran Note Added: 0000912
2009-04-14 21:54 paulh Note Added: 0000913
2009-04-14 22:01 kieran Note Added: 0000914
2009-04-14 22:15 ivan Note Added: 0000915
2009-04-15 09:39 paulh Note Added: 0000916
2009-05-14 20:27 paulh Note Added: 0001058
2009-05-14 20:27 paulh Assigned To => paulh
2009-05-14 20:27 paulh Status new => assigned
2009-05-14 20:27 paulh Product Version => 3.45
2009-05-14 20:27 paulh Target Version => 3.50
2009-05-14 20:28 paulh Note Added: 0001059
2009-05-14 20:28 paulh Status assigned => resolved
2009-05-14 20:28 paulh Resolution open => fixed
2009-05-14 20:28 paulh Fixed in Version => Current SVN
2009-05-14 20:48 kieran Note Added: 0001062
2009-05-14 20:55 paulh Note Added: 0001063
2009-08-16 13:17 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001579
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker